# -*- coding: utf-8 -*-
#
# UnivNautes
# Copyright (C) 2014  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it under
# the terms of the GNU Affero General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU Affero General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.core.management.base import BaseCommand, CommandError
import os
import sys
from sp import pfconfigxml

def get(key, args):
    if key == 'cpnames':
        for n in pfconfigxml.get_saml_cps():
            print n['name']
    elif key == 'blacklist':
        if len(args) > 2:
            print pfconfigxml.get_blacklists(args[2])
        else:
            print >> sys.stderr, 'you need to choose a blacklist (nameid or macadresses)'

class Command(BaseCommand):
    help = 'get infos from config.xml'

    def handle(self, *args, **options):
        try:
            action, key = args[0], args[1]
        except IndexError:
            print "syntax: configxml get|set key"
            return
        if action == 'get':
            return get(key, args)

